PIRL.Viewers

## Class Stream_Monitor.Monitor_OutputStream

- java.lang.Object
- - java.io.OutputStream
  - - PIRL.Viewers.Stream_Monitor.Monitor_OutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Enclosing class:
  Stream_Monitor

    public class Stream_Monitor.Monitor_OutputStream
    extends OutputStream

### Constructor Summary

Constructors
Constructor and Description
`Stream_Monitor.Monitor_OutputStream()`

### Method Summary

Methods
`void` `close()` The currently buffered characters are flushed, but the writer can still be written to.
`void` `flush()` Flush the currently buffered bytes to the monitor display.
`void` `write(int value)` Write a byte to the monitor.

### Methods inherited from class java.io.OutputStream

`write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Stream_Monitor.Monitor_OutputStream

    public Stream_Monitor.Monitor_OutputStream()

### Method Detail

#### write

    public void write(int value)

Write a byte to the monitor.

Each byte written is buffered until an end-of-line sequence is encountered or the buffer is full at which point the buffer is `flushed` to the display. An end-of-line line sequence is any one of a line feed ('\n', 0x0A), a carriage return ('\r', 0x0D), or a carriage return followed immediately by a linefeed.

Specified by:
  `write` in class `OutputStream`
Parameters:
  `value` - An integer value of which only the least significant byte is buffered.

#### flush

    public void flush()

Flush the currently buffered bytes to the monitor display.

The currently buffered bytes are converted to a String using the default character encoding. This text is `written` to the monitor display. The text is eligible for `auto-style` processing, if enabled.

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`

#### close

    public void close()

The currently buffered characters are flushed, but the writer can still be written to.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `OutputStream`